### Enumeration

# AppStreamCompose ImageLoadFlags

since: 1.0

#### Declaration

    flags AppStreamCompose.ImageLoadFlags

#### Description [src]

The flags used for loading images.

Available since: 1.0

#### Members

`ASC_IMAGE_LOAD_FLAG_NONE`

  No special flags set.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`ASC_IMAGE_LOAD_FLAG_SHARPEN`

  Sharpen the resulting image.

  - Value: `1`
  - Nickname: `sharpen`
  - Available since: 1.0
`ASC_IMAGE_LOAD_FLAG_ALLOW_UNSUPPORTED`

  Allow loading of unsupported image types.

  - Value: `2`
  - Nickname: `allow-unsupported`
  - Available since: 1.0
`ASC_IMAGE_LOAD_FLAG_ALWAYS_RESIZE`

  Always resize the source image to the perfect size.

  - Value: `4`
  - Nickname: `always-resize`
  - Available since: 1.0